Bug 508276 - jabberd not running
jabberd not running
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.5
All Linux
high Severity high
: ---
: ---
Assigned To: Devan Goodwin
Red Hat Satellite QA List
:
Depends On:
Blocks: space06 492111
  Show dependency treegraph
 
Reported: 2009-06-26 07:45 EDT by Tomas Lestach
Modified: 2009-09-10 08:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-06-26 07:45:54 EDT
Description of problem:
jabberd 2.2 doesn't run correctly on spacewalk

Version-Release number of selected component (if applicable):
Spacewalk nightly repo
jabberd-2.2.5-1

How reproducible:
always

Steps to Reproduce:
1. Install spacewalk from the nightly-repo
2. run
# service jabberd status
# service jabberd restart
# service jabberd status
# ps aux | grep jabber

  
Actual results:
# service jabberd status
router (pid 10820) is running...
sm dead but subsys locked
c2s dead but subsys locked
s2s (pid 10892) is running...
# service jabberd restart
Terminating jabberd processes ...
Stopping router:                                           [  OK  ]
Stopping sm:                                               [FAILED]
Stopping c2s:                                              [FAILED]
Stopping s2s:                                              [  OK  ]
Initializing jabberd processes ...
Starting router:                                           [  OK  ]
Starting sm:                                               [  OK  ]
Starting c2s:                                              [  OK  ]
Starting s2s:                                              [  OK  ]
# service jabberd status
router (pid 11896) is running...
sm dead but subsys locked
c2s dead but subsys locked
s2s (pid 11968) is running...
# ps aux | grep jabber
jabber ... /usr/bin/router -c /etc/jabberd/router.xml
jabber ... /usr/bin/s2s -c /etc/jabberd/s2s.xml
root   ... grep jabber

Expected results:
All 4 jabberd processes run correctly
Comment 1 Devan Goodwin 2009-07-23 12:24:53 EDT
This was on EL5?

Pretty sure we've got this taken care of, requires a new version of jabberd that's currently in updates-testing for F11 and epel-testing for EL5:

http://koji.fedoraproject.org/koji/buildinfo?buildID=115491

jabberd-2.2.8 btw. 

Going to move this to MODIFIED.
Comment 2 Gayathri Swaminathan 2009-07-30 00:45:38 EDT
Noticed same behavior on RHEL 5 AS 5.3 running spacewalk-0.5.4-1.el5/ jabberd-2.2.5-1

<snip>
Starting osa-dispatcher:                                   [  OK  ]
#
/usr/bin/sm: symbol lookup error: /usr/lib/jabberd/storage_db.so: undefined symbol: ser_string_set
</snip>

Per Devan's suggestion upgraded to jabberd-2.2.8 from EPEL-testing repo and this resolved the issue.
Comment 3 Miroslav Suchý 2009-09-10 08:06:22 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.